using System;
using System.Windows.Forms;

namespace _7_7
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        public static int CountingDigits(int n)
        {
            int i;

            for (i = 0; n > 0; i++)
                n = n / 10;

            return i;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            int n = Convert.ToInt32(textBox1.Text);

            MessageBox.Show(CountingDigits(n).ToString());
        }
    }
}